explain_write_or_die(3)

NAME
explain_write_or_die - write to a file descriptor and report errors
    "write to a file descriptor and report errors"

SYNOPSIS
#include <libexplain/write.h>

void explain_write_or_die(int fildes, const void *data, long data_size);

DESCRIPTION
The explain_write_or_die function is used to call the write(2) system call. On failure an explanation will be printed to stderr, obtained from explain_write(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    ssize_t result = explain_write_or_die(fildes, data, data_size);

fildes
    The fildes, exactly as to be passed to the write(2) system call.

data
    The data, exactly as to be passed to the write(2) system call.

data_size
    The data_size, exactly as to be passed to the write(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

write(2)
    write to a file descriptor

explain_write(3)
    explain write(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller